# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^carriage/$',
        views.CarriageList.as_view(),
        name='carriage_list'
    ),
    url(
        r'^carriage/(?P<pk>\w+)/retrieve/$',
        views.CarriageRetrieve.as_view(),
        name='carriage_retrieve'
    ),
    url(
        r'^carriage/create/$',
        views.CarriageCreate.as_view(),
        name='carriage_create'
    ),
    url(
        r'^carriage/(?P<pk>\w+)/update/$',
        views.CarriageUpdate.as_view(),
        name='carriage_update'
    ),
    url(
        r'^delivery/$',
        views.DeliveryList.as_view(),
        name='delivery_list'
    ),
    url(
        r'^delivery/(?P<pk>\w+)/retrieve/$',
        views.DeliveryRetrieve.as_view(),
        name='delivery_retrieve'
    ),
    url(
        r'^delivery/create/$',
        views.DeliveryCreate.as_view(),
        name='delivery_create'
    ),
    url(
        r'^delivery/(?P<pk>\w+)/update/$',
        views.DeliveryUpdate.as_view(),
        name='delivery_update'
    ),
]
